<?php

function chat_config()
{
		require(ROOT_PATH.'flashconf/config.php');
		$config['extend_chat_server'] = $running_mode;
		if($config['extend_chat_server'] == 1)$config['chat_data_path'] = $chat_data_path;
		if($config['extend_chat_server'] == 2)$config['chat_client_root_path'] = $chat_client_root_path;
		else $config['chat_room_name'] = (!empty($room_name))?$room_name:$_SERVER['HTTP_HOST'];

		return $config;
}

function chat_getChattersFromLocalServer($chat_data_path)
{
	$room = array();
	$room['connections'] = 0;
	$room['logon_users'] = 0;
	$room['room_numbers'] = 0;

	$online_file = $chat_data_path."online.txt";

	if (!file_exists($online_file))
	{
		return $room;
	}

	if (!$row = file($online_file))
	{
		return $room;
	}

	$room_data = explode("|", $row[0]);


	if (count($room_data) == 3)
	{
		$room['connections'] = 	intval($room_data[0]);
		$room['logon_users'] = 	intval($room_data[1]);
		$room['room_numbers'] = intval($room_data[2]);
	}

	return $room;
}

function chat_getChattersFromExtendServer($chat_client_root_path)
{
	$room = array();

	$room['connections'] = "<script lanauge=javascript src='".$chat_client_root_path."connections.php'></script>";
	$room['logon_users'] = "<script lanauge=javascript src='".$chat_client_root_path."logon_users.php'></script>";
	$room['room_numbers'] = "<script lanauge=javascript src='".$chat_client_root_path."room_numbers.php'></script>";

	return $room;
}

function chat_getChattersFromFreeServer($free_server_path)
{
	$room = array();
    $config = chat_config();
    $config['chat_room_name'] = urlencode($config['chat_room_name']);
	$room['logon_users'] = "<script lanauge=javascript src='".$free_server_path."freeroomnum.php?roomname=".$config['chat_room_name']."'></script>";
	

	return $room;
}



function chat_getChatterListFromLocalServer($chat_data_path)
{
	$userListStr = "";

	$d = dir($chat_data_path);

	while (false !== ($entry = $d->read())) 
	{
	   $rest = substr($entry, 0, 5);
	   if ($rest == "room_")
	   {
		
		if (file_exists($chat_data_path.$entry))
		{
			
			$f_users = file($chat_data_path.$entry);
			
			for ($i = 0; $i < count($f_users); $i ++)
			{
				$f_line = trim($f_users[$i]);
				
				if ($f_line != "")
				{
					$userListStr = ($userListStr == "") ? $f_line : $userListStr. ", " . $f_line;
				}
			}
			$userListStr = (empty($userListStr)) ? "None" : $userListStr;	
		}	   	
	   }
	}
	$d->close();

	$userListStr = ($userListStr == "") ? "None" : $userListStr;
	return $userListStr;
}

function chat_getChatterListFromExtendServer($chat_client_root_path)
{
	$userListStr = "<script lanauge=javascript src='".$chat_client_root_path."user_list.php'></script>";
	$userListStr = (empty($userListStr)) ? "None" : $userListStr;	
	return $userListStr;
}


function chat_getChatterListFromFreeServer($free_server_path)
{   $config = chat_config();
	$userListStr = "<script lanauge=javascript src='".$free_server_path."freeroomuser.php?roomname=".$config['chat_room_name']."'></script>";
	return $userListStr;
}




function getChatters()
{
	$config = chat_config();

	if ($config['extend_chat_server'] == 1)
	{
		return chat_getChattersFromLocalServer($config['chat_data_path']);
	}
	else if($config['extend_chat_server'] == 2)
	{
		return chat_getChattersFromExtendServer($config['chat_client_root_path']);
	}
    else if($config['extend_chat_server'] == 3)
	{
	
		$free_server="http://free.123flashchat.com/";
		return chat_getChattersFromFreeServer($free_server);
	}
}

function getChatterList()
{
	$config = chat_config();
	
	if ($config['extend_chat_server'] == 2)
	{
		return chat_getChatterListFromExtendServer($config['chat_client_root_path']);
	}
	else if($config['extend_chat_server'] == 1)
	{
		return chat_getChatterListFromLocalServer($config['chat_data_path']);
	}	
    else if($config['extend_chat_server'] == 3)
	{
		$free_server="http://free.123flashchat.com/";
		return chat_getChatterListFromFreeServer($free_server);
	}
}

function checkSlash($path)
{
	if(substr($path,-1,1) != "/" && !empty($path)){
		$path = $path."/";
	}
	return $path;
}
?>